
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

$ make menuconfig
scripts/kconfig/mconf arch/i386/Kconfig
drivers/char/Kconfig:847:warning: 'select' used by config symbol
'TANBAC_TB0219' refer to undefined symbol 'PCI_VR41XX'

Here is a patch for this warning fix.

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/mips/Kconfig    |   12 +++---------
 drivers/char/Kconfig |    2 --
 2 files changed, 3 insertions(+), 11 deletions(-)

diff -puN arch/mips/Kconfig~mips-add-default-select-configs-for-vr41xx-fix arch/mips/Kconfig
--- devel/arch/mips/Kconfig~mips-add-default-select-configs-for-vr41xx-fix	2005-08-19 18:12:27.000000000 -0700
+++ devel-akpm/arch/mips/Kconfig	2005-08-19 18:12:27.000000000 -0700
@@ -80,8 +80,6 @@ config NEC_CMBVR4133
 	select DMA_NONCOHERENT
 	select IRQ_CPU
 	select HW_HAS_PCI
-	select PCI
-	select PCI_VR41XX
 
 config ROCKHOPPER
 	bool "Support for Rockhopper baseboard"
@@ -122,8 +120,6 @@ config TANBAC_TB022X
 config TANBAC_TB0226
 	bool "Support for TANBAC Mbase(TB0226)"
 	depends on TANBAC_TB022X
-	select PCI
-	select PCI_VR41XX
 	select GPIO_VR41XX
 	help
 	  The TANBAC Mbase(TB0226) is a MIPS-based platform manufactured by TANBAC.
@@ -136,8 +132,6 @@ config VICTOR_MPC30X
 	select DMA_NONCOHERENT
 	select IRQ_CPU
 	select HW_HAS_PCI
-	select PCI
-	select PCI_VR41XX
 
 config ZAO_CAPCELLA
 	bool "Support for ZAO Networks Capcella"
@@ -146,12 +140,12 @@ config ZAO_CAPCELLA
 	select DMA_NONCOHERENT
 	select IRQ_CPU
 	select HW_HAS_PCI
-	select PCI
-	select PCI_VR41XX
 
 config PCI_VR41XX
 	bool "Add PCI control unit support of NEC VR4100 series"
-	depends on MACH_VR41XX && PCI
+	depends on MACH_VR41XX && HW_HAS_PCI
+	default y
+	select PCI
 
 config VRC4171
 	tristate "Add NEC VRC4171 companion chip support"
diff -puN drivers/char/Kconfig~mips-add-default-select-configs-for-vr41xx-fix drivers/char/Kconfig
--- devel/drivers/char/Kconfig~mips-add-default-select-configs-for-vr41xx-fix	2005-08-19 18:12:27.000000000 -0700
+++ devel-akpm/drivers/char/Kconfig	2005-08-19 18:12:27.000000000 -0700
@@ -843,8 +843,6 @@ config SONYPI
 config TANBAC_TB0219
 	tristate "TANBAC TB0219 base board support"
 	depends TANBAC_TB022X
-	select PCI
-	select PCI_VR41XX
 
 menu "Ftape, the floppy tape device driver"
 
_
